MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000120Hall D OfflineGeneralpublic2011-08-06 09:192012-04-18 14:28
Reporterpmatt 
Assigned Topmatt 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0000120: Need to add checks for DReferenceTrajectory::DistToRT returning quiet_NaN
DescriptionSome of the DReferenceTrajectory::DistToRT functions can intentionally return quiet_NaN. However in many of the places where these functions are called in the code, there aren't any checks on whether this is the case. This function swims along the track trajectory, so subsequent calls to functions such as DReferenceTrajectory::GetLastDOCAPoint may cause unexpected results when quiet_NaN is returned.
Additional InformationThe locations of these DReferenceTrajectory::DistToRT calls include (at least): DReferenceTrajectory, DTrackFitterALT1, DTrackHitSelectorALT1, and DTrackHitSelectorALT2.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000239)
pmatt (developer)
2012-01-13 17:52

Fixed in most areas, primary need is now in the DTrackFitterALT1.cc file.

- Issue History
Date Modified Username Field Change
2011-08-06 09:19 pmatt New Issue
2012-01-13 17:52 pmatt Note Added: 0000239
2012-04-18 14:27 pmatt Status new => assigned
2012-04-18 14:27 pmatt Assigned To => pmatt
2012-04-18 14:28 pmatt Status assigned => resolved
2012-04-18 14:28 pmatt Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker